> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getTradersNumberChangeList

> The list of traders number changes by periods (1 hour, 6 hours, 1 day, 1 week, 1 month) by jetton addresses.

💼 Available in paid plans only



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/traders/change
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/traders/change:
    get:
      tags:
        - JettonsService
      summary: getTradersNumberChangeList
      description: >-
        The list of traders number changes by periods (1 hour, 6 hours, 1 day, 1
        week, 1 month) by jetton addresses.


        💼 Available in paid plans only
      operationId: JettonsService_GetTradersChangeList
      parameters:
        - name: address
          in: query
          description: |-
            Jetton address

            List of jetton addresses
            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 100
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetTradersChangeListResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetTradersChangeListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/v1JettonsGetTradersChangeListItem'
        addressBook:
          title: Address book
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
          description: Possible aliases for all raw addresses in response
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonsGetTradersChangeListItem:
      type: object
      properties:
        address:
          type: string
        changes:
          $ref: '#/components/schemas/v1JettonTradersChanges'
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1JettonTradersChanges:
      type: object
      properties:
        total:
          $ref: '#/components/schemas/v1JettonTradersChangePeriods'
        buy:
          $ref: '#/components/schemas/v1JettonTradersChangePeriods'
        sell:
          $ref: '#/components/schemas/v1JettonTradersChangePeriods'
    v1JettonTradersChangePeriods:
      type: object
      properties:
        hour:
          $ref: '#/components/schemas/v1IntegerValueChange'
        hour6:
          $ref: '#/components/schemas/v1IntegerValueChange'
        day:
          $ref: '#/components/schemas/v1IntegerValueChange'
        week:
          $ref: '#/components/schemas/v1IntegerValueChange'
        month:
          $ref: '#/components/schemas/v1IntegerValueChange'
    v1IntegerValueChange:
      title: Value change by period
      type: object
      properties:
        changePercent:
          title: Percentage change from the previous period
          type: number
          format: float
          example: -35.9
        previous:
          title: Value of the previous period
          type: string
          format: int64
          example: '39'
        current:
          title: Value of the current period
          type: string
          format: int64
          example: '25'
        calculatedAt:
          title: Date and time of calculation
          type: string
          format: date-time

````